Enhance Image
Improve clarity, lighting, and overall image quality.
← All models
BeforeAfter
Model ID
enhance-imageProduct operation
enhance:image_enhancementAPI Credits per run100
Input parameters
NameTypeRequiredDefaultNotes
Output parameters
The API returns an asynchronous job. Poll the job until it succeeds, then download the result path.
job_idstringstatusstringprogressnumberpriceobjectresultobject | nullerrorobject | nullCreate a job
curl "$CLEARCROWDS_API_BASE_URL/api/v1/presets/enhance-image/jobs" \
-X POST \
-H "Authorization: Bearer $CLEARCROWDS_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: edit-001" \
-d '{"input_asset_id":"11111111-1111-4111-8111-111111111111","input":{}}'Response
{
"success": true,
"data": {
"job_id": "job_REPLACE_ME",
"operation": "enhance-image",
"status": "queued",
"progress": 0,
"price": {
"reserved_credits": 100,
"settled_credits": 0,
"refunded_credits": 0,
"version": "2026-08-16"
},
"result": null,
"error": null
}
}

